<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Engine_Content_Element_Container extends Engine_Content_Element_Abstract
{
  public function loadDefaultDecorators()
  {
    if( !empty($this->_decorators) ) {
      return;
    }
    
    // Add decorators
    $this
      ->addDecorator('Children')
      ->addDecorator('Container');
  }
  
  protected function _render()
  {
    return '';
  }
}
